Subject: Re: [PATCH] rev-parse: have --parseopt callers exit 0 on --help

From: Junio C Hamano <[email-masked]>
Date: Tue, 17 Mar 2026 10:06:17 -0700

Jeff King <[email-masked]> writes:

> I agree with the general idea that "-h" usually should exit 0.

Yes.

> But this
> is not just a bug fix for --parseopt, but a change in overall intent. It
> might be worth digging in the commit history or list archive to see if
> there's any discussion on why we are using 129 in the first place.

And if it turns out that old discussion was convincing enough, I'd
prefer to see us moving to --help/-h exiting with 0 eventually.  I
do not mind doing so at the Git 3.0 boundary, if an excuse to make
a big change is needed ;-)